Page MenuHomePhabricator

decommission db1065
Open, NormalPublicRequest

Description

This task will track the decommission of server db1065.eqiad.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db1065.eqiad.wmnet

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system): https://gerrit.wikimedia.org/r/#/c/523849/
  • - unassign service owner from this task, check off completed steps, and assign to @RobH for followup on below steps.

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal) - asw2-d-eqiad:ge-1/0/12
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #2 as broken so it doesn't get re-used
  • - Label disk #3 as broken so it doesn't get re-used
  • - Label disk #5 as broken so it doesn't get re-used
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: system added back to spares tracking (by onsite)

Related Objects

Event Timeline

Marostegui moved this task from Triage to In progress on the DBA board.

Let's wait a few days before actually starting to decommission it.
I have disabled notifications though

Change 523849 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1065: Prepare decommissioning

https://gerrit.wikimedia.org/r/523849

Change 523849 merged by Marostegui:
[operations/puppet@production] db1065: Prepare decommissioning

https://gerrit.wikimedia.org/r/523849

Mentioned in SAL (#wikimedia-operations) [2019-07-17T05:24:56Z] <marostegui> Remove db1065 from tendril and zarcillo - T227560

Mentioned in SAL (#wikimedia-operations) [2019-07-17T05:26:34Z] <marostegui> Stop MySQL on db1065 for decommissioning - T227560

Marostegui updated the task description. (Show Details)
Marostegui removed projects: Patch-For-Review, DBA.

This host is ready for DC-Ops to decommission.

Restricted Application added a project: Operations. · View Herald TranscriptJul 18 2019, 3:05 PM
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Mon, Jul 22, 2:41 PM
RobH updated the task description. (Show Details)Thu, Jul 25, 3:16 PM

cookbooks.sre.hosts.decommission executed by robh@cumin1001 for hosts: db1065.eqiad.wmnet

  • db1065.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor

Change 525565 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] db1065 decom

https://gerrit.wikimedia.org/r/525565

Change 525567 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom db1065 prod dns

https://gerrit.wikimedia.org/r/525567

Change 525567 merged by RobH:
[operations/dns@master] decom db1065 prod dns

https://gerrit.wikimedia.org/r/525567

Change 525565 merged by RobH:
[operations/puppet@production] db1065 decom

https://gerrit.wikimedia.org/r/525565

RobH removed RobH as the assignee of this task.Thu, Jul 25, 3:24 PM
RobH updated the task description. (Show Details)
RobH removed a project: Patch-For-Review.